鸣潮随机图片

GETPOST 壁纸

随机返回一张鸣潮高清壁纸图片。

GET https://api.tinyaii.cn/v1/wallpaper/wuthering-waves

请求参数

该接口无需请求参数,直接调用即可返回数据。

返回字段

字段类型说明
titlestring图片标题
imagestring图片直链
widthinteger图片宽度
heightinteger图片高度
source_idinteger作品ID
pool_sizeinteger图池数量

返回示例

{
  "code": 200,
  "data": {
    "title": "碧蓝航线",
    "image": "https://img2.huashi6.com/images/resource/thumbnail/2024/08/20/224521_12104543439.jpg",
    "width": 2480,
    "height": 3508,
    "source_id": 1567890,
    "pool_size": 500
  },
  "message": "success"
}

调用示例

curl "https://api.tinyaii.cn/v1/wallpaper/wuthering-waves" \
  -H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch("https://api.tinyaii.cn/v1/wallpaper/wuthering-waves", {
  headers: { "Authorization": "Bearer YOUR_API_KEY" },
});
console.log(await res.json());
import requests

resp = requests.get(
    "https://api.tinyaii.cn/v1/wallpaper/wuthering-waves",
    params=None,
    headers={"Authorization": "Bearer YOUR_API_KEY"},
    timeout=10,
)
print(resp.json())

把 YOUR_API_KEY 换成你的密钥即可直接运行。密钥只保存在你自己的设备上。